Package dev.plex.util

# Class GameRuleUtil

java.lang.Object
dev.plex.util.GameRuleUtil

public class GameRuleUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`GameRuleUtil()`

## Method Summary

Modifier and Type
Method
Description
`static <T> Object`
`check(T value)`
`static <T> void`
`commitGlobalGameRules(org.bukkit.World world)`
`static <T> void`
`commitSpecificGameRules(org.bukkit.World world)`
`private static <T> void`
`readGameRules(org.bukkit.World world, String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GameRuleUtil

public GameRuleUtil()

## Method Details

### commitGlobalGameRules

public static <T> void commitGlobalGameRules(org.bukkit.World world)

### commitSpecificGameRules

public static <T> void commitSpecificGameRules(org.bukkit.World world)

### readGameRules

private static <T> void readGameRules(org.bukkit.World world, String s)

### check

public static <T> Object check(T value)